Bug 1420756 - Crash in call to daemon_reply_simple due to missing ending NULL argument
Summary: Crash in call to daemon_reply_simple due to missing ending NULL argument
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.2
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1403364
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 13:45 UTC by Jaroslav Reznik
Modified: 2020-03-11 15:46 UTC (History)
14 users (show)

Fixed In Version: lvm2-2.02.166-1.el7_3.3
Doc Type: Bug Fix
Doc Text:
Due to an incorrect parameter passing in an internal function that sends replies to LVM tools, the Metadata Daemon (lvmetad) previously terminated unexpectedly with a segmentation fault when the internal function was called. A patch has been applied to fix this bug. As a result, parameters are now passed correctly in the described situation, and lvmetad no longer crashes.
Clone Of: 1403364
Environment:
Last Closed: 2017-03-02 17:28:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0394 normal SHIPPED_LIVE lvm2 bug fix update 2017-03-02 22:07:15 UTC

Description Jaroslav Reznik 2017-02-09 13:45:21 UTC
This bug has been copied from bug #1403364 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 6 errata-xmlrpc 2017-03-02 17:28:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0394.html


Note You need to log in before you can comment on or make changes to this bug.